.\" $NetBSD: iwictl.8,v 1.9 2009/03/09 19:24:33 joerg Exp $
.\"
.\" Copyright (c) 2004, 2005
.\"	Damien Bergamini <damien.bergamini@free.fr>. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice unmodified, this list of conditions, and the following
.\"    disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd May 18, 2009
.Dt IWICTL 8
.Os
.Sh NAME
.Nm iwictl
.Nd configure Intel(R) PRO/Wireless 2200BG/2915ABG network adapters
.Sh SYNOPSIS
.Nm
.Op Fl i
.Ar iface
.Nm
.Op Fl i
.Ar iface Fl r
.Sh DESCRIPTION
The
.Nm
utility controls the operation of Intel(R) PRO/Wireless 2200BG/2915ABG
networking devices via the
.Xr iwi 4
driver.
.Pp
You should not use this program to configure IEEE 802.11 parameters.
Use
.Xr ifconfig 8
instead.
.Sh OPTIONS
The options are as follows:
.Bl -tag -width indent
.It Fl i Ar iface
Displays adapter's internal statistics.
.It Fl i Ar iface Fl r
Displays the radio transmitter state (on or off).
.El
.Sh FILES
The firmware is shipped with
.Nx .
See
.Xr iwi 4
for details how to use it.
.Sh SEE ALSO
.Xr iwi 4 ,
.Xr ifconfig 8
.Sh AUTHORS
The
.Nm
utility and this man page were written by
.An Damien Bergamini Aq damien.bergamini@free.fr .
